Bug 186044 - Update Port: devel/libserver => 1.18
Summary: Update Port: devel/libserver => 1.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-23 18:30 UTC by jimmy
Modified: 2014-03-02 11:40 UTC (History)
0 users

See Also:


Attachments
server.diff (1.02 KB, patch)
2014-01-23 18:30 UTC, jimmy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jimmy 2014-01-23 18:30:00 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2014-01-23 18:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

tabthorpe@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 jimmy 2014-01-31 15:06:13 UTC
This is a replacement diff that converts devel/libserver to use
staging.

=97
James Bailie
http://www.mammothcheese.ca/



diff -ruN /usr/ports/devel/libserver/Makefile ./libserver/Makefile
--- /usr/ports/devel/libserver/Makefile	2013-10-08 12:20:31.000000000 =
-0400
+++ ./libserver/Makefile	2014-01-31 09:54:06.000000000 -0500
@@ -1,20 +1,18 @@
 # Created by: James Bailie <jimmy@mammothcheese.ca>
-# $FreeBSD: devel/libserver/Makefile 329807 2013-10-08 16:20:31Z =
tabthorpe $
+# $FreeBSD: devel/libserver/Makefile 328766 2013-09-30 03:27:07Z =
tabthorpe $
=20
 PORTNAME=3D	libserver
-PORTVERSION=3D	1.17
+PORTVERSION=3D	1.18
 CATEGORIES=3D	devel
 MASTER_SITES=3D	http://www.mammothcheese.ca/
=20
 MAINTAINER=3D	jimmy@mammothcheese.ca
 COMMENT=3D	Generic TCP server in a library
=20
-MAN8=3D		libserver.8
-MANCOMPRESSED=3D	yes
-
 USE_LDCONFIG=3D	yes
=20
+INSTALL_TARGET=3DSTAGEDIR=3D../stage/ install
+
 PLIST_SUB=3D	PORTVERSION=3D${PORTVERSION}
=20
-NO_STAGE=3D	yes
 .include <bsd.port.mk>
diff -ruN /usr/ports/devel/libserver/distinfo ./libserver/distinfo
--- /usr/ports/devel/libserver/distinfo	2013-10-08 12:20:31.000000000 =
-0400
+++ ./libserver/distinfo	2014-01-31 09:59:20.000000000 -0500
@@ -1,2 +1,2 @@
-SHA256 (libserver-1.17.tar.gz) =3D =
9e105ffc478bce2848e4bc7e74d643377db1550df8c9f1fcbb4035ccef85ef81
-SIZE (libserver-1.17.tar.gz) =3D 11344
+SHA256 (libserver-1.18.tar.gz) =3D =
f63889f841b2aa5c5d06336a81622b2d3a9a7bad6e95b80dc7793b069654b41d
+SIZE (libserver-1.18.tar.gz) =3D 10323
diff -ruN /usr/ports/devel/libserver/pkg-plist ./libserver/pkg-plist
--- /usr/ports/devel/libserver/pkg-plist	2014-01-22 =
10:16:56.000000000 -0500
+++ ./libserver/pkg-plist	2014-01-31 09:54:58.000000000 -0500
@@ -1,3 +1,4 @@
 include/server.h
 lib/libserver.so
 lib/libserver.so.%%PORTVERSION%%
+man/man8/libserver.8.gz
Comment 3 Thomas Abthorpe freebsd_committer 2014-03-02 05:40:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-03-02 11:31:28 UTC
Author: tabthorpe
Date: Sun Mar  2 05:39:36 2014
New Revision: 346737
URL: http://svnweb.freebsd.org/changeset/ports/346737
QAT: https://qat.redports.org/buildarchive/r346737/

Log:
  - Update to 1.18
  - Convert to STAGEDIR
  
  PR:             ports/186044
  Submitted by:   James Bailie <jimmy@mammothcheese.ca> (maintainer)

Modified:
  head/devel/libserver/Makefile
  head/devel/libserver/distinfo

Modified: head/devel/libserver/Makefile
==============================================================================
--- head/devel/libserver/Makefile	Sun Mar  2 05:32:21 2014	(r346736)
+++ head/devel/libserver/Makefile	Sun Mar  2 05:39:36 2014	(r346737)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	libserver
-PORTVERSION=	1.17
+PORTVERSION=	1.18
 CATEGORIES=	devel
 MASTER_SITES=	http://www.mammothcheese.ca/
 
@@ -11,6 +11,8 @@ COMMENT=	Generic TCP server in a library
 
 USE_LDCONFIG=	yes
 
+INSTALL_TARGET=STAGEDIR=../stage/ install
+
 PLIST_SUB=	PORTVERSION=${PORTVERSION}
 
 .include <bsd.port.mk>

Modified: head/devel/libserver/distinfo
==============================================================================
--- head/devel/libserver/distinfo	Sun Mar  2 05:32:21 2014	(r346736)
+++ head/devel/libserver/distinfo	Sun Mar  2 05:39:36 2014	(r346737)
@@ -1,2 +1,2 @@
-SHA256 (libserver-1.17.tar.gz) = 9e105ffc478bce2848e4bc7e74d643377db1550df8c9f1fcbb4035ccef85ef81
-SIZE (libserver-1.17.tar.gz) = 11344
+SHA256 (libserver-1.18.tar.gz) = df74502dc263daf6138c41426ee5ee599aee9d03fd94b398f33e131d876126ed
+SIZE (libserver-1.18.tar.gz) = 14203
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"